Subject: [PWE3] WG Last call for draft-ietf-pwe3-congcons-02? (was: IPR poll for draft-ietf-pwe3-congcons-02)

From: Alexander Vainshtein <[email-masked]>
Date: Mon, 28 Jul 2014 08:03:44 +0000

Andy and all,
Somehow I did not find an explicit WGLC message for this draft (neither in my archive nor in the WG one).

Nevertheless, I support requesting publication of this draft as an Informational RFC.

I have a few editorial comments:

1.       On page 6 the text says “International standards place stringent limits on the number of such faults tolerated”.  I assume the reference is to ITU-T Recommendation G.826, but it would be nice to state that explicitly; I am also not sure whether plural (“standards”) is justified here.

2.       Also on page 6, I suggest inserting the multiplication signs (asterisks) in the formula  in the same way it is done in Section 3.1 of RFC 5348<http://tools.ietf.org/html/rfc5348> (from which this formula is taken)

3.       On page 11, “Second, the derivation assumed that the TDM PW was competing with long-lived TDM flows” presumably should be “Second, the derivation assumed that the TDM PW was competing with long-lived TCP flows”.

4.       On page 18, “Note that if the error condition AIS was detected according to the criteria of ITU-T Recommendation G.775 [G826]” presumably should be “Note that if the error condition AIS was detected according to the criteria of ITU-T Recommendation G.775 [G775]”.

IMO neither of these comments requires posting a new version of the draft prior to requesting its publication; hopefully they can be handled in the process of approval and publication.

I’d like to thank Yaakov, David and Bob for their effort. I find very symbolic that the congestion issue that has been raised in the early days of PWE3 is – at long last – successfully resolved without any retro-fitting of widely deployed mechanisms defined by the PWE3.

Regards,
       Sasha
Email: [email-masked]
Mobile: 054-9266302

From: pwe3 [mailto:[email-masked]] On Behalf Of Andrew G. Malis
Sent: Friday, July 25, 2014 6:23 PM
To: [email-masked]
Subject: [PWE3] IPR poll for draft-ietf-pwe3-congcons-02

http://www.ietf.org/id/draft-ietf-pwe3-congcons-02.pdf is now in PWE3 WG last call. As part of the last call process, we need to poll the authors and WG for IPR information on the draft.

Are you aware of any IPR that applies to draft-ietf-pwe3-congcons-02?

If so, has this IPR been disclosed in compliance with IETF IPR rules
(see RFCs 3979, 4879, 3669 and 5378 for more details)? Note that there
are currently no IPR disclosures in the IETF datatracker.

If you are listed as a document author or contributor please respond
to this email regardless of whether or not you are aware of any
relevant IPR. The response needs to be sent to the PWE3 WG mailing
list. The document will not advance to the next stage until a response
has been received from each author and each contributor.

If you are on the PWE3 WG email list but are not listed as an author
or contributor, then please explicitly respond only if you are aware
of any IPR that has not yet been disclosed in conformance with IETF
rules.

Thanks,
Andy

---

From: Stewart Bryant <[email-masked]>
Date: Mon, 28 Jul 2014 12:15:58 +0100

This is a well written draft, that makes a useful
contribution to a long standing problem and
I fully support its publication as an RFC.

I have a few comments that I would request
that the authors consider and a couple
of nits. I also agree with the points that
Sasha makes, and am also pleased that no
changes are required to this widely deployed
packet transport mechanism.

Firstly I think that you should say a little bit
more about the circuit breaker than you currently
do, in particular the interaction with the control plane
and the restart procedure.

Secondly, whilst Ethernet PWs are a good example
and by far the most common elastic case they are not
the only elastic PWs type. You need a line in the text
pointing out the equivalence and possibly naming
the current types that behave in the same way as
IP.

SB> Where does ATM fit into the taxonomy?

SB> Also what about FC Port Mode?

nits:

such a PW is inable to respond to congestion in a
TCP-like manner;

SB> That should be unable

the packet loss rate PLR

SB> PLR should be (PLR)

The circuit breaker needs a ref on first
use, and maybe a little description since
it is a new concept in PWE3

- Stewart

On 28/07/2014 09:03, Alexander Vainshtein wrote:
>
> Andy and all,
>
> Somehow I did not find an explicit WGLC message for this draft 
> (neither in my archive nor in the WG one).
>
> 1.On page 6 the text says "International standards place stringent 
> limits on the number of such faults tolerated".  I assume the 
> reference is to ITU-T Recommendation G.826, but it would be nice to 
> state that explicitly; I am also not sure whether plural ("standards") 
> is justified here.
>
> 2.Also on page 6, I suggest inserting the multiplication signs 
> (asterisks) in the formula  in the same way it is done in Section 3.1 
> of RFC 5348 <http://tools.ietf.org/html/rfc5348> (from which this 
> formula is taken)
>
> 3.On page 11, "Second, the derivation assumed that the TDM PW was 
> competing with long-lived TDM flows" presumably should be "Second, the 
> derivation assumed that the TDM PW was competing with long-lived TCP 
> flows".
>
> 4.On page 18, "Note that if the error condition AIS was detected 
> according to the criteria of ITU-T Recommendation G.775 [G826]" 
> presumably should be "Note that if the error condition AIS was 
> detected according to the criteria of ITU-T Recommendation G.775 [G775]".
>
> IMO neither of these comments requires posting a new version of the 
> draft prior to requesting its publication; hopefully they can be 
> handled in the process of approval and publication.
>
> I'd like to thank Yaakov, David and Bob for their effort. I find very 
> symbolic that the congestion issue that has been raised in the early 
> days of PWE3 is -- at long last -- successfully resolved without any 
> retro-fitting of widely deployed mechanisms defined by the PWE3.
>
> Regards,
>
> Sasha
>
> *From:*pwe3 [mailto:[email-masked]] *On Behalf Of *Andrew G. Malis
> *Sent:* Friday, July 25, 2014 6:23 PM
> *To:* [email-masked]
> *Subject:* [PWE3] IPR poll for draft-ietf-pwe3-congcons-02
>
> http://www.ietf.org/id/draft-ietf-pwe3-congcons-02.pdf is now in PWE3 
> WG last call. As part of the last call process, we need to poll the 
> authors and WG for IPR information on the draft.
>
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pwe3

-- 
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html

---

From: Alexander Vainshtein <[email-masked]>
Date: Mon, 28 Jul 2014 12:11:30 +0000

Stewart and all,
I fully agree with you that the term "circuit breaker" has not been used in the PWE3 discussions until now.
However, I think that it has been implicitly defined in Section 6.5. of RFC 3985<http://tools.ietf.org/html/rfc3985#section-6.5>, and its usage has been defined also in Section 8 of RFC 4553<http://tools.ietf.org/html/rfc4553#section-8>.
Not sure how important this is; but if the authors decide to expand the "circuit breaker" notion, these references could be handy.

Regards,
       Sasha

From: Stewart Bryant [mailto:[email-masked]]
Sent: Monday, July 28, 2014 2:16 PM
To: Alexander Vainshtein; Andrew G. Malis
Cc: [email-masked]
Subject: Re: [PWE3] WG Last call for draft-ietf-pwe3-congcons-02? (was: IPR poll for draft-ietf-pwe3-congcons-02)

nits:

SB> PLR should be (PLR)

- Stewart

1. On page 6 the text says "International standards place stringent limits on the number of such faults tolerated".  I assume the reference is to ITU-T Recommendation G.826, but it would be nice to state that explicitly; I am also not sure whether plural ("standards") is justified here.

3. On page 11, "Second, the derivation assumed that the TDM PW was competing with long-lived TDM flows" presumably should be "Second, the derivation assumed that the TDM PW was competing with long-lived TCP flows".

4. On page 18, "Note that if the error condition AIS was detected according to the criteria of ITU-T Recommendation G.775 [G826]" presumably should be "Note that if the error condition AIS was detected according to the criteria of ITU-T Recommendation G.775 [G775]".

I'd like to thank Yaakov, David and Bob for their effort. I find very symbolic that the congestion issue that has been raised in the early days of PWE3 is - at long last - successfully resolved without any retro-fitting of widely deployed mechanisms defined by the PWE3.

Regards,
       Sasha
Email: [email-masked]<mailto:[email-masked]>
Mobile: 054-9266302

From: pwe3 [mailto:[email-masked]] On Behalf Of Andrew G. Malis
Sent: Friday, July 25, 2014 6:23 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [PWE3] IPR poll for draft-ietf-pwe3-congcons-02

Thanks,
Andy

pwe3 mailing list

[email-masked]<mailto:[email-masked]>

--

---

From: Stewart Bryant <[email-masked]>
Date: Mon, 28 Jul 2014 13:49:10 +0100

Those refs would be handy. I think that it just takes a couple
of sentences and will anticipate the various directorate and
IESG review comments.

S

On 28/07/2014 13:11, Alexander Vainshtein wrote:
> However, I think that it has been implicitly defined in Section 6.5. 
> of RFC 3985 <http://tools.ietf.org/html/rfc3985#section-6.5>, and its 
> usage has been defined also in Section 8 of RFC 4553 
> <http://tools.ietf.org/html/rfc4553#section-8>.
>
> Not sure how important this is; but if the authors decide to expand 
> the "circuit breaker" notion, these references could be handy.
>
> Regards,
>
> Sasha
>
> *From:*Stewart Bryant [mailto:[email-masked]]
> *Sent:* Monday, July 28, 2014 2:16 PM
> *To:* Alexander Vainshtein; Andrew G. Malis
> *Cc:* [email-masked]
> *Subject:* Re: [PWE3] WG Last call for draft-ietf-pwe3-congcons-02? 
> (was: IPR poll for draft-ietf-pwe3-congcons-02)
>
>     reference is to ITU-T Recommendation G.826, but it would be nice
>     to state that explicitly; I am also not sure whether plural
>     ("standards") is justified here.
>
>     (asterisks) in the formula  in the same way it is done in Section
>     3.1 of RFC 5348 <http://tools.ietf.org/html/rfc5348> (from which
>     this formula is taken)
>
>     competing with long-lived TDM flows" presumably should be "Second,
>     the derivation assumed that the TDM PW was competing with
>     long-lived TCP flows".
>
>     IMO neither of these comments requires posting a new version of
>     the draft prior to requesting its publication; hopefully they can
>     be handled in the process of approval and publication.
>
>     I'd like to thank Yaakov, David and Bob for their effort. I find
>     very symbolic that the congestion issue that has been raised in
>     the early days of PWE3 is -- at long last -- successfully resolved
>     without any retro-fitting of widely deployed mechanisms defined by
>     the PWE3.
>
>     Regards,
>
>     Sasha
>
>     <mailto:[email-masked]>
>
>     Mobile: 054-9266302
>
>     *To:* [email-masked] <mailto:[email-masked]>
>     http://www.ietf.org/id/draft-ietf-pwe3-congcons-02.pdf is now in
>     PWE3 WG last call. As part of the last call process, we need to
>     poll the authors and WG for IPR information on the draft.
>
>     [email-masked]  <mailto:[email-masked]>
>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 28 Jul 2014 08:55:19 -0400

Sasha,

Thanks for this note! For some reason, the WG last call never made it onto
the list, so I just resent it.

And thanks for your comments on the draft. These will be addressed during
publication along with other received comments.

Cheers,
Andy

On Mon, Jul 28, 2014 at 4:03 AM, Alexander Vainshtein <
[email-masked]> wrote:

> 1.       On page 6 the text says “International standards place stringent
> limits on the number of such faults tolerated”.  I assume the reference
> is to ITU-T Recommendation G.826, but it would be nice to state that
> explicitly; I am also not sure whether plural (“standards”) is justified
> here.
>
> 2.       Also on page 6, I suggest inserting the multiplication signs
> (asterisks) in the formula  in the same way it is done in Section 3.1 of RFC
> 5348 <http://tools.ietf.org/html/rfc5348> (from which this formula is
> taken)
>
> 3.       On page 11, “Second, the derivation assumed that the TDM PW was
> competing with long-lived TDM flows” presumably should be “Second, the
> derivation assumed that the TDM PW was competing with long-lived TCP flows”.
>
>
> 4.       On page 18, “Note that if the error condition AIS was detected
> according to the criteria of ITU-T Recommendation G.775 [G826]”
> presumably should be “Note that if the error condition AIS was detected
> according to the criteria of ITU-T Recommendation G.775 [G775]”.
>
>
>
> IMO neither of these comments requires posting a new version of the draft
> prior to requesting its publication; hopefully they can be handled in the
> process of approval and publication.
>
>
>
> I’d like to thank Yaakov, David and Bob for their effort. I find very
> symbolic that the congestion issue that has been raised in the early days
> of PWE3 is – at long last – successfully resolved without any retro-fitting
> of widely deployed mechanisms defined by the PWE3.
>
>
>
> Regards,
>
>        Sasha
>
> *From:* pwe3 [mailto:[email-masked]] *On Behalf Of *Andrew G. Malis
> http://www.ietf.org/id/draft-ietf-pwe3-congcons-02.pdf is now in PWE3 WG
> last call. As part of the last call process, we need to poll the authors
> and WG for IPR information on the draft.
>

---

From: Alexander Vainshtein <[email-masked]>
Date: Mon, 28 Jul 2014 12:56:34 +0000

Andy,
You are always welcome!

Regards,
       Sasha

From: Andrew G. Malis [mailto:[email-masked]]
Sent: Monday, July 28, 2014 3:55 PM
To: Alexander Vainshtein
Cc: [email-masked]
Subject: Re: WG Last call for draft-ietf-pwe3-congcons-02? (was: [PWE3] IPR poll for draft-ietf-pwe3-congcons-02)

Sasha,

Thanks for this note! For some reason, the WG last call never made it onto the list, so I just resent it.

And thanks for your comments on the draft. These will be addressed during publication along with other received comments.

Cheers,
Andy

On Mon, Jul 28, 2014 at 4:03 AM, Alexander Vainshtein <[email-masked]<mailto:[email-masked]>> wrote:
Andy and all,
Somehow I did not find an explicit WGLC message for this draft (neither in my archive nor in the WG one).

Regards,
       Sasha

From: pwe3 [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Andrew G. Malis
Sent: Friday, July 25, 2014 6:23 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [PWE3] IPR poll for draft-ietf-pwe3-congcons-02

Thanks,
Andy

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 28 Jul 2014 08:57:30 -0400

Stewart,

Thanks for your quick comments as well.

Cheers,
Andy

On Mon, Jul 28, 2014 at 8:49 AM, Stewart Bryant <[email-masked]> wrote:

> I fully agree with you that the term “circuit breaker” has not been used
> in the PWE3 discussions until now.
>
> However, I think that it has been implicitly defined in Section 6.5. of
> RFC 3985 <http://tools.ietf.org/html/rfc3985#section-6.5>, and its usage
> has been defined also in Section 8 of RFC 4553
> Not sure how important this is; but if the authors decide to expand the
> “circuit breaker” notion, these references could be handy.
>
>
>
> Regards,
>
>        Sasha
>
> *From:* Stewart Bryant [mailto:[email-masked] <[email-masked]>]
> *Subject:* Re: [PWE3] WG Last call for draft-ietf-pwe3-congcons-02? (was:
> IPR poll for draft-ietf-pwe3-congcons-02)
>
>
>
> *From:* pwe3 [mailto:[email-masked] <[email-masked]>] *On
> Behalf Of *Andrew G. Malis

---

From: Yaakov Stein <[email-masked]>
Date: Tue, 29 Jul 2014 13:54:20 +0000

Sasha,

Thanks for spotting these problems in the draft, all of which are good catches.

I will fix in a final respin after the WG LC.

Y(J)S

From: pwe3 [mailto:[email-masked]] On Behalf Of Alexander Vainshtein
Sent: 28 July, 2014 03:04
To: Andrew G. Malis
Cc: [email-masked]
Subject: [PWE3] WG Last call for draft-ietf-pwe3-congcons-02? (was: IPR poll for draft-ietf-pwe3-congcons-02)

Andy and all,

Regards,
       Sasha

Thanks,
Andy

---

From: Yaakov Stein <[email-masked]>
Date: Tue, 29 Jul 2014 14:02:43 +0000

Stewart,

I referenced the circuit breaker work where it  first mentioned in a substantive way,
rather than in passing in the introduction. Of course I can add the reference further up.

The draft uses Ethernet PWs as the archetypical elastic PW.
The conclusion is true for any PW carrying congestion responsive traffic,
but the proof for other cases, e.g., for TCP/IP over ATM over PW is harder.
Some may recall that I explicitly covered this case in an earlier version of this draft,
but my co-authors thought that it added little to the flow of the argument,
at a cost of a long digression and having to use language with which the transport area people
would not be comfortable.

A more major issue is what happens when the Ethernet PW carries
half TCP traffic and half UDP traffic. This we specifically avoided.

Of course, the major problem with this draft is going to be the pictures!
But as Alice asked "what is the use of an RFC without pictures?".
(I'm waiting for Bob and Eve to answer that one)

Y(J)S

From: pwe3 [mailto:[email-masked]] On Behalf Of Stewart Bryant
Sent: 28 July, 2014 06:16
To: Alexander Vainshtein; Andrew G. Malis
Cc: [email-masked]
Subject: Re: [PWE3] WG Last call for draft-ietf-pwe3-congcons-02? (was: IPR poll for draft-ietf-pwe3-congcons-02)

nits:

SB> PLR should be (PLR)

- Stewart

Regards,
       Sasha

Thanks,
Andy

pwe3 mailing list

--

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 29 Jul 2014 10:25:43 -0400

Yaakov,

There's a precedent for RFCs that only have the diagrams in the PDF
version. As one example that comes to mind, see RFC 1144.

Cheers,
Andy

On Tue, Jul 29, 2014 at 10:02 AM, Yaakov Stein <[email-masked]> wrote:

> But as Alice asked “what is the use of an RFC without pictures?”.
>
> (I’m waiting for Bob and Eve to answer that one)
>
>
>
> Y(J)S
>
>
>
> *From:* pwe3 [mailto:[email-masked]] *On Behalf Of *Stewart Bryant
> *Sent:* 28 July, 2014 06:16